Subject: Re: [PATCH 3/9] powerpc/bpf: Remove unused SEEN_STACK

From: "Naveen N. Rao" <[email-masked]>
Date: Wed, 06 Oct 2021 01:52:02 +0530

Christophe Leroy wrote:
> 
> 
> Le 04/10/2021 à 20:11, Naveen N. Rao a écrit :
>> Christophe Leroy wrote:
>>>
>>>
>>> Le 01/10/2021 à 23:14, Naveen N. Rao a écrit :
>>>> From: Ravi Bangoria <[email-masked]>
>>>>
>>>> SEEN_STACK is unused on PowerPC. Remove it. Also, have
>>>> SEEN_TAILCALL use 0x40000000.
>>>
>>> Why change SEEN_TAILCALL ? Would it be a problem to leave it as is ?
>>>
>>>>
>>>> Signed-off-by: Ravi Bangoria <[email-masked]>
>>>> Reviewed-by: Christophe Leroy <[email-masked]>
>> 
>> I prefer the bit usage to be contiguous. Changing SEEN_TAILCALL isn't a 
>> problem either.
>> 
> 
> Well you are adding SEEN_BIG_PROG in following patch so it would still 
> be contiguous at the end.
> 
> I don't really mind but I thought it would be less churn to just leave 
> SEEN_TAILCALL as is and re-use 0x40000000 for SEEN_BIG_PROG.

Ah ok. This patch was from a different series and it made more sense to 
change the bit number there. I have reused the patch here as-is since 
the change is fairly trivial.

- Naveen